<template>
  <div>
    <input
      v-bind="$attrs"
      type="password"
      class="input"
      name="password"
      required
      placeholder="Tapez votre mot de passe"
      @input="input"
    >
    <p
      v-if="!lengthCheck"
      class="help is-danger"
    >
      Le mot de passe doit faire au moins {{ minLength }} caractères,
      il est recommandé d'y inclure chiffres, majuscules/minuscules, caractères spéciaux...
    </p>
  </div>
</template>
<script>

export default {
  inheritAttrs: false,
  props: {
    value: {
      type: String,
      default: '',
    },
    minLength: {
      type: Number,
      default: 8,
    },
    isInvalid: {
      type: Boolean,
      default: false,
    },
  },
  data: () => ({
    val: null,
  }),
  computed: {
    isValid() {
      return this.lengthCheck;
    },
    lengthCheck() {
      const { length } = this.val || this.value || '';
      return length === 0 || length >= this.minLength;
    },
  },
  methods: {
    input({ target = {} } = {}) {
      this.val = target.value;
      this.$emit(
        'input',
        target.value,
      );
    },
  },
};
</script>
